Package org.eclipse.jgit.errors

## Class SymlinksNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.SymlinksNotSupportedException

All Implemented Interfaces:
  `Serializable`

    public class SymlinksNotSupportedException
    extends IOException

An exception thrown when a symlink entry is found and cannot be handled.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SymlinksNotSupportedException​(String s)` Construct a SymlinksNotSupportedException for the specified link

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SymlinksNotSupportedException

    public SymlinksNotSupportedException​(String s)

Construct a SymlinksNotSupportedException for the specified link

Parameters:
  `s` - name of link in tree or workdir